Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ServiceRuntimeList.ServiceItem

java.lang.Object
ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
ru.bitel.bgbilling.modules.tv.server.runtime.ServiceRuntimeList.ServiceItem

All Implemented Interfaces:
  `Comparable<Delayed>`, `Delayed`

Enclosing class:
  `ServiceRuntimeList`

public static final class ServiceRuntimeList.ServiceItem extends ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem implements Delayed

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `deviceState`
  `final int`
  `serviceId`
  `final int`
  `serviceSpecId`
  `int`
  `version`

  ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

  `id, timeFrom, timeTo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceItem(int productId, int serviceSpecId, int serviceId, long timeFrom, long timeTo)`
  `ServiceItem(int productId, int serviceSpecId, int serviceId, Date timeFrom, Date timeTo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Delayed other)`
  `long`
  `getDelay(TimeUnit unit)`
  `Service`
  `toService(int contractId, int accountId)`
  `StringBuilder`
  `toString(StringBuilder sb)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serviceSpecId

    public final int serviceSpecId

  - ### serviceId

    public final int serviceId

  - ### deviceState

    public volatile short deviceState

  - ### version

    public volatile int version

- ## Constructor Details

  - ### ServiceItem

    public ServiceItem(int productId, int serviceSpecId, int serviceId, Date timeFrom, Date timeTo)

  - ### ServiceItem

    public ServiceItem(int productId, int serviceSpecId, int serviceId, long timeFrom, long timeTo)

- ## Method Details

  - ### getDelay

    public long getDelay(TimeUnit unit)
    Specified by:
      `getDelay` in interface `Delayed`

  - ### compareTo

    public int compareTo(Delayed other)
    Specified by:
      `compareTo` in interface `Comparable<Delayed>`

  - ### toService

    public Service toService(int contractId, int accountId)

  - ### toString

    public StringBuilder toString(StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`